# -*- coding: utf-8 -*-
"""
Created on Mon Sep 10 16:42:01 2018

@author: bgregor
"""

 
def average(x,y,z):
        ''' Compute the average of a few numbers 
        x,y,z: numeric values
        returns: a number '''
        num_sum = x + y + z
        avg = num_sum / 3.0
        return avg

def average_one_line(x,y,z):
        ''' Same as average() but in one line '''
        return (x + y + z) / 3.0
    
# Call a function and assign the return value
num_avg = average_one_line(2.4,1.5,8)
print(num_avg)

# Call the function but don't assign the return value.
## Using the debugger you can see the function is still called!
average(2.4,1.5,8)
#
## Call the function using a variable
xval = 17.5
num_avg2 = average_one_line(xval,1.5,8)
#
yval = -8.4
## Operators can be used in the function argument.
num_avg3 = average(xval, yval / 3, 2-23)
#
#
## Function calls can contain other function calls
num_avg4 = average(1, 2, average_one_line(3,4,5))
